# Privacy Policy for Remote Numpad

_Last updated: 10th September 2022_

__Guillaume Payet__ ("I", "us" or "we") respects the privacy of his users (“user” or “you”). This Privacy Policy explains how we collect, use, disclose, and safeguard your information when you use __Remote Numpad__ (the “Application”). Please read this Privacy Policy carefully. IF YOU DO NOT AGREE WITH THE TERMS OF THIS PRIVACY POLICY, PLEASE DO NOT ACCESS THE APPLICATION.

We reserve the right to make changes to this Privacy Policy at any time and for any reason. We will alert you about any changes by updating the “Last updated” date of this Privacy Policy. You are encouraged to periodically review this Privacy Policy to stay informed of updates. You will be deemed to have been made aware of, will be subject to, and will be deemed to have accepted the changes in any revised Privacy Policy by your continued use of the Application after the date such revised Privacy Policy is posted.

This Privacy Policy does not apply to the third-party online/mobile store from which you install the Application which may also collect and use data about you. We are not responsible for any of the data collected by any such third party.

This Privacy Policy was inspired by Termly’s [Privacy Policy Generator](https://termly.io/products/privacy-policy-generator/ "Termly's Privacy Policy Generator").

## Collection of your information

We may collect information about you in a variety of ways. The information we may collect via the Application depends on the content and materials you use, and includes:

### Crash Info and Performance

We may automatically receive crash log data from the App. For example, the number of times the App has crashed, stack traces, or other information directly related to a crash. Other technical diagnostics relating to the App's performance such as freezes may also be collected.

### Mobile Device Access

We may request access or permission to certain features from your mobile device, including your mobile device’s Bluetooth and local network (WiFi). If you wish to change our access or permissions, you may do so in your device’s settings.

### Mobile Device Data

Device information such as your mobile device ID number, model, and manufacturer, version of your operating system, phone number, country, location, and any other data you choose to provide.

## Use of your information

Having accurate information about you permits us to provide you with a smooth, efficient, and customized experience. Specifically, we may use information collected about you via the Application to:

1. Compile anonymous statistical data and analysis for use internally.
2. Increase the efficiency and operation of the Application.
3. Resolve disputes and troubleshoot problems.

## Disclosure of your information

We will not share information we have collected about you in any circumstances.

## Security of your information

We use administrative, technical, and physical security measures to help protect your personal information. While we have taken reasonable steps to secure the personal information you provide to us, please be aware that despite our efforts, no security measures are perfect or impenetrable, and no method of data transmission can be guaranteed against any interception or other type of misuse. Any information disclosed online is vulnerable to interception and misuse by unauthorized parties. Therefore, we cannot guarantee complete security if you provide personal information.

## Policy for children

We do not knowingly solicit information from or market to children under the age of 13. If you become aware of any data we have collected from children under age 13, please contact us using the contact information provided below.

## California Privacy Rights

California Civil Code Section 1798.83, also known as the “Shine The Light” law, permits our users who are California residents to request and obtain from us, once a year and free of charge, information about categories of personal information (if any) we disclosed to third parties for direct marketing purposes and the names and addresses of all third parties with which we shared personal information in the immediately preceding calendar year. If you are a California resident and would like to make such a request, please submit your request in writing to us using the contact information provided below.

## Contact us

If you have questions or comments about this Privacy Policy, please contact us at:

Guillaume Payet<br>
<payetguillaume2008@hotmail.fr>
